//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.11 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2017.10.09 at 06:58:13 PM CEST 
//


package library.common.model.soap;

import library.common.model.Author;
import library.common.model.Book;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the no.oslomet.abi.types.library package.
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _BookFindAllRequest_QNAME = new QName("http://abi.oslomet.no/types/library", "BookFindAllRequest");
    private final static QName _AuthorFindAllRequest_QNAME = new QName("http://abi.oslomet.no/types/library", "AuthorFindAllRequest");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: no.oslomet.abi.types.library
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link BookCreateRequest }
     * 
     */
    public BookCreateRequest createBookCreateRequest() {
        return new BookCreateRequest();
    }

    /**
     * Create an instance of {@link Book }
     * 
     */
    public Book createBook() {
        return new Book();
    }

    /**
     * Create an instance of {@link BookCreateResponse }
     * 
     */
    public BookCreateResponse createBookCreateResponse() {
        return new BookCreateResponse();
    }

    /**
     * Create an instance of {@link BookUpdateRequest }
     * 
     */
    public BookUpdateRequest createBookUpdateRequest() {
        return new BookUpdateRequest();
    }

    /**
     * Create an instance of {@link BookUpdateResponse }
     * 
     */
    public BookUpdateResponse createBookUpdateResponse() {
        return new BookUpdateResponse();
    }

    /**
     * Create an instance of {@link BookDeleteRequest }
     * 
     */
    public BookDeleteRequest createBookDeleteRequest() {
        return new BookDeleteRequest();
    }

    /**
     * Create an instance of {@link BookDeleteResponse }
     * 
     */
    public BookDeleteResponse createBookDeleteResponse() {
        return new BookDeleteResponse();
    }

    /**
     * Create an instance of {@link BookFindOneRequest }
     * 
     */
    public BookFindOneRequest createBookFindOneRequest() {
        return new BookFindOneRequest();
    }

    /**
     * Create an instance of {@link BookFindOneResponse }
     * 
     */
    public BookFindOneResponse createBookFindOneResponse() {
        return new BookFindOneResponse();
    }

    /**
     * Create an instance of {@link BookFindAllResponse }
     * 
     */
    public BookFindAllResponse createBookFindAllResponse() {
        return new BookFindAllResponse();
    }

    /**
     * Create an instance of {@link BookList }
     * 
     */
    public BookList createBookList() {
        return new BookList();
    }

    /**
     * Create an instance of {@link AuthorCreateRequest }
     * 
     */
    public AuthorCreateRequest createAuthorCreateRequest() {
        return new AuthorCreateRequest();
    }

    /**
     * Create an instance of {@link Author }
     * 
     */
    public Author createAuthor() {
        return new Author();
    }

    /**
     * Create an instance of {@link AuthorCreateResponse }
     * 
     */
    public AuthorCreateResponse createAuthorCreateResponse() {
        return new AuthorCreateResponse();
    }

    /**
     * Create an instance of {@link AuthorUpdateRequest }
     * 
     */
    public AuthorUpdateRequest createAuthorUpdateRequest() {
        return new AuthorUpdateRequest();
    }

    /**
     * Create an instance of {@link AuthorUpdateResponse }
     * 
     */
    public AuthorUpdateResponse createAuthorUpdateResponse() {
        return new AuthorUpdateResponse();
    }

    /**
     * Create an instance of {@link AuthorDeleteRequest }
     * 
     */
    public AuthorDeleteRequest createAuthorDeleteRequest() {
        return new AuthorDeleteRequest();
    }

    /**
     * Create an instance of {@link AuthorDeleteResponse }
     * 
     */
    public AuthorDeleteResponse createAuthorDeleteResponse() {
        return new AuthorDeleteResponse();
    }

    /**
     * Create an instance of {@link AuthorFindOneRequest }
     * 
     */
    public AuthorFindOneRequest createAuthorFindOneRequest() {
        return new AuthorFindOneRequest();
    }

    /**
     * Create an instance of {@link AuthorFindOneResponse }
     * 
     */
    public AuthorFindOneResponse createAuthorFindOneResponse() {
        return new AuthorFindOneResponse();
    }

    /**
     * Create an instance of {@link AuthorFindAllResponse }
     * 
     */
    public AuthorFindAllResponse createAuthorFindAllResponse() {
        return new AuthorFindAllResponse();
    }

    /**
     * Create an instance of {@link AuthorList }
     * 
     */
    public AuthorList createAuthorList() {
        return new AuthorList();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://abi.oslomet.no/types/library", name = "BookFindAllRequest")
    public JAXBElement<Object> createBookFindAllRequest(Object value) {
        return new JAXBElement<Object>(_BookFindAllRequest_QNAME, Object.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://abi.oslomet.no/types/library", name = "AuthorFindAllRequest")
    public JAXBElement<Object> createAuthorFindAllRequest(Object value) {
        return new JAXBElement<Object>(_AuthorFindAllRequest_QNAME, Object.class, null, value);
    }

}
